Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._3._0.cms
Interface CMSPackage.Literals

Enclosing interface:
  CMSPackage

    public static interface CMSPackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Field Summary
`static org.eclipse.emf.ecore.EClass` | `CATALOG_CONTENT_REQUEST_TYPE` The meta object literal for the '`Catalog Content Request Type`' class.
`static org.eclipse.emf.ecore.EClass` | `CATALOG_CONTENT_RESPONSE_TYPE` The meta object literal for the '`Catalog Content Response Type`' class.
`static org.eclipse.emf.ecore.EReference` | `CATALOG_CONTENT_RESPONSE_TYPE__CATALOGED_CONTENT` The meta object literal for the 'Cataloged Content' containment reference feature.
`static org.eclipse.emf.ecore.EClass` | `CONTENT_MANAGEMENT_SERVICE_REQUEST_TYPE` The meta object literal for the '`Content Management Service Request Type`' class.
`static org.eclipse.emf.ecore.EReference` | `CONTENT_MANAGEMENT_SERVICE_REQUEST_TYPE__INVOCATION_CONTROL_FILE` The meta object literal for the 'Invocation Control File' containment reference list feature.
`static org.eclipse.emf.ecore.EReference` | `CONTENT_MANAGEMENT_SERVICE_REQUEST_TYPE__ORIGINAL_CONTENT` The meta object literal for the 'Original Content' containment reference feature.
`static org.eclipse.emf.ecore.EClass` | `CONTENT_MANAGEMENT_SERVICE_RESPONSE_TYPE` The meta object literal for the '`Content Management Service Response Type`' class.
`static org.eclipse.emf.ecore.EClass` | `DOCUMENT_ROOT` The meta object literal for the '`Document Root`' class.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__CATALOG_CONTENT_REQUEST` The meta object literal for the 'Catalog Content Request' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__CATALOG_CONTENT_RESPONSE` The meta object literal for the 'Catalog Content Response' containment reference feature.
`static org.eclipse.emf.ecore.EAttribute` | `DOCUMENT_ROOT__MIXED` The meta object literal for the 'Mixed' attribute list feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__VALIDATE_CONTENT_REQUEST` The meta object literal for the 'Validate Content Request' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__VALIDATE_CONTENT_RESPONSE` The meta object literal for the 'Validate Content Response' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__XMLNS_PREFIX_MAP` The meta object literal for the 'XMLNS Prefix Map' map feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__XSI_SCHEMA_LOCATION` The meta object literal for the 'XSI Schema Location' map feature.
`static org.eclipse.emf.ecore.EClass` | `VALIDATE_CONTENT_REQUEST_TYPE` The meta object literal for the '`Validate Content Request Type`' class.
`static org.eclipse.emf.ecore.EClass` | `VALIDATE_CONTENT_RESPONSE_TYPE` The meta object literal for the '`Validate Content Response Type`' class.

Field Detail

### CATALOG_CONTENT_REQUEST_TYPE

    static final org.eclipse.emf.ecore.EClass CATALOG_CONTENT_REQUEST_TYPE

  The meta object literal for the '`Catalog Content Request Type`' class.

  See Also:
    `CatalogContentRequestTypeImpl`, `CMSPackageImpl.getCatalogContentRequestType()`

### CATALOG_CONTENT_RESPONSE_TYPE

    static final org.eclipse.emf.ecore.EClass CATALOG_CONTENT_RESPONSE_TYPE

  The meta object literal for the '`Catalog Content Response Type`' class.

  See Also:
    `CatalogContentResponseTypeImpl`, `CMSPackageImpl.getCatalogContentResponseType()`

### CATALOG_CONTENT_RESPONSE_TYPE__CATALOGED_CONTENT

    static final org.eclipse.emf.ecore.EReference CATALOG_CONTENT_RESPONSE_TYPE__CATALOGED_CONTENT

  The meta object literal for the 'Cataloged Content' containment reference feature.

### CONTENT_MANAGEMENT_SERVICE_REQUEST_TYPE

    static final org.eclipse.emf.ecore.EClass CONTENT_MANAGEMENT_SERVICE_REQUEST_TYPE

  The meta object literal for the '`Content Management Service Request Type`' class.

  See Also:
    `ContentManagementServiceRequestTypeImpl`, `CMSPackageImpl.getContentManagementServiceRequestType()`

### CONTENT_MANAGEMENT_SERVICE_REQUEST_TYPE__ORIGINAL_CONTENT

    static final org.eclipse.emf.ecore.EReference CONTENT_MANAGEMENT_SERVICE_REQUEST_TYPE__ORIGINAL_CONTENT

  The meta object literal for the 'Original Content' containment reference feature.

### CONTENT_MANAGEMENT_SERVICE_REQUEST_TYPE__INVOCATION_CONTROL_FILE

    static final org.eclipse.emf.ecore.EReference CONTENT_MANAGEMENT_SERVICE_REQUEST_TYPE__INVOCATION_CONTROL_FILE

  The meta object literal for the 'Invocation Control File' containment reference list feature.

### CONTENT_MANAGEMENT_SERVICE_RESPONSE_TYPE

    static final org.eclipse.emf.ecore.EClass CONTENT_MANAGEMENT_SERVICE_RESPONSE_TYPE

  The meta object literal for the '`Content Management Service Response Type`' class.

  See Also:
    `ContentManagementServiceResponseTypeImpl`, `CMSPackageImpl.getContentManagementServiceResponseType()`

### DOCUMENT_ROOT

    static final org.eclipse.emf.ecore.EClass DOCUMENT_ROOT

  The meta object literal for the '`Document Root`' class.

  See Also:
    `DocumentRootImpl`, `CMSPackageImpl.getDocumentRoot()`

### DOCUMENT_ROOT__MIXED

    static final org.eclipse.emf.ecore.EAttribute DOCUMENT_ROOT__MIXED

  The meta object literal for the 'Mixed' attribute list feature.

### DOCUMENT_ROOT__XMLNS_PREFIX_MAP

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__XMLNS_PREFIX_MAP

  The meta object literal for the 'XMLNS Prefix Map' map feature.

### DOCUMENT_ROOT__XSI_SCHEMA_LOCATION

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__XSI_SCHEMA_LOCATION

  The meta object literal for the 'XSI Schema Location' map feature.

### DOCUMENT_ROOT__CATALOG_CONTENT_REQUEST

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__CATALOG_CONTENT_REQUEST

  The meta object literal for the 'Catalog Content Request' containment reference feature.

### DOCUMENT_ROOT__CATALOG_CONTENT_RESPONSE

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__CATALOG_CONTENT_RESPONSE

  The meta object literal for the 'Catalog Content Response' containment reference feature.

### DOCUMENT_ROOT__VALIDATE_CONTENT_REQUEST

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__VALIDATE_CONTENT_REQUEST

  The meta object literal for the 'Validate Content Request' containment reference feature.

### DOCUMENT_ROOT__VALIDATE_CONTENT_RESPONSE

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__VALIDATE_CONTENT_RESPONSE

  The meta object literal for the 'Validate Content Response' containment reference feature.

### VALIDATE_CONTENT_REQUEST_TYPE

    static final org.eclipse.emf.ecore.EClass VALIDATE_CONTENT_REQUEST_TYPE

  The meta object literal for the '`Validate Content Request Type`' class.

  See Also:
    `ValidateContentRequestTypeImpl`, `CMSPackageImpl.getValidateContentRequestType()`

### VALIDATE_CONTENT_RESPONSE_TYPE

    static final org.eclipse.emf.ecore.EClass VALIDATE_CONTENT_RESPONSE_TYPE

  The meta object literal for the '`Validate Content Response Type`' class.

  See Also:
    `ValidateContentResponseTypeImpl`, `CMSPackageImpl.getValidateContentResponseType()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD